Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.comm
Class UlcTransportServer

    java.lang.Object
      |
      +--com.ibm.ulc.comm.UlcTransportServer

Direct Known Subclasses:
  UlcCorbaTransportServer, UlcSocketTransportServer

public abstract class UlcTransportServer
extends java.lang.Object
implements IDefaults

An abstraction for ULC transport servers.

Field Summary
`static boolean` | `fgDebug`

Constructor Summary
`UlcTransportServer()` UlcTransportServer constructor.

Method Summary
`static UlcTransportServer` | `create(java.lang.String urlString, Server caller)` The factory method to create a concrete transport server depending on the protocol specified in the URL.
`protected Server` | `getCallingServer()`
`protected java.lang.String` | `getUrlString()`
`abstract void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fgDebug

    public static boolean fgDebug

Constructor Detail

### UlcTransportServer

    public UlcTransportServer()

  UlcTransportServer constructor.

Method Detail

### create

    public static UlcTransportServer create(java.lang.String urlString,
                                            Server caller)
                                     throws UlcTransportException

  The factory method to create a concrete transport server depending on the protocol specified in the URL. The name of the concrete server class is read in from the UlcTransport property file.

### getCallingServer

    protected Server getCallingServer()

### getUrlString

    protected java.lang.String getUrlString()

### start

    public abstract void start()
                        throws UlcTransportException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD